JBoss Native SVN: r3010 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2013-01-15 08:39:30 -0500 (Tue, 15 Jan 2013)
New Revision: 3010
Modified:
trunk/build/unix/build.sh
Log:
try to debug openssl build...
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2013-01-15 13:06:02 UTC (rev 3009)
+++ trunk/build/unix/build.sh 2013-01-15 13:39:30 UTC (rev 3010)
@@ -722,6 +722,8 @@
windows-x86)
which perl
perl -version
+ which nmake
+ exit 1
perl Configure ${ssl_target} VC-WIN32
# openssl 1.0.x uses do_nasm, not do_masm :D
ms/do_nasm.bat
11 years, 11 months
JBoss Native SVN: r3009 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2013-01-15 08:06:02 -0500 (Tue, 15 Jan 2013)
New Revision: 3009
Modified:
trunk/build/unix/build.sh
Log:
Try to find which perl is really used...
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2013-01-15 12:29:26 UTC (rev 3008)
+++ trunk/build/unix/build.sh 2013-01-15 13:06:02 UTC (rev 3009)
@@ -720,6 +720,8 @@
./Configure ${ssl_target} ${ssl_common_flags} ${ssl_build_flags} linux-ppc64 || exit 1
;;
windows-x86)
+ which perl
+ perl -version
perl Configure ${ssl_target} VC-WIN32
# openssl 1.0.x uses do_nasm, not do_masm :D
ms/do_nasm.bat
11 years, 11 months
JBoss Native SVN: r3008 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2013-01-15 07:29:26 -0500 (Tue, 15 Jan 2013)
New Revision: 3008
Modified:
trunk/build/unix/build.sh
Log:
need to install :D
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2013-01-15 11:37:37 UTC (rev 3007)
+++ trunk/build/unix/build.sh 2013-01-15 12:29:26 UTC (rev 3008)
@@ -723,13 +723,13 @@
perl Configure ${ssl_target} VC-WIN32
# openssl 1.0.x uses do_nasm, not do_masm :D
ms/do_nasm.bat
- nmake -f ms/nt.mak
+ nmake -f ms/nt.mak install
;;
windows-x64|windows-amd64)
echo "Doing: perl Configure VC-WIN64A ${ssl_target}"
perl Configure VC-WIN64A ${ssl_target}
ms/do_win64a.bat
- nmake -f ms/nt.mak
+ nmake -f ms/nt.mak install
# fix the ml to ml64...
#sed "s:=ml :=ml64 :" ms/nt.mak > $$.mak
#mv $$.mak ms/nt.mak
11 years, 11 months
JBoss Native SVN: r3007 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2013-01-15 06:37:37 -0500 (Tue, 15 Jan 2013)
New Revision: 3007
Modified:
trunk/build/unix/build.sh
Log:
\ is not / :-(
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2013-01-15 11:17:55 UTC (rev 3006)
+++ trunk/build/unix/build.sh 2013-01-15 11:37:37 UTC (rev 3007)
@@ -723,13 +723,13 @@
perl Configure ${ssl_target} VC-WIN32
# openssl 1.0.x uses do_nasm, not do_masm :D
ms/do_nasm.bat
- nmake -f ms\nt.mak
+ nmake -f ms/nt.mak
;;
windows-x64|windows-amd64)
echo "Doing: perl Configure VC-WIN64A ${ssl_target}"
perl Configure VC-WIN64A ${ssl_target}
ms/do_win64a.bat
- nmake -f ms\nt.mak
+ nmake -f ms/nt.mak
# fix the ml to ml64...
#sed "s:=ml :=ml64 :" ms/nt.mak > $$.mak
#mv $$.mak ms/nt.mak
11 years, 11 months
JBoss Native SVN: r3006 - trunk/build/windows.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2013-01-15 06:17:55 -0500 (Tue, 15 Jan 2013)
New Revision: 3006
Modified:
trunk/build/windows/buildnew.bat
Log:
Ajust the PATH...
Modified: trunk/build/windows/buildnew.bat
===================================================================
--- trunk/build/windows/buildnew.bat 2013-01-15 10:57:30 UTC (rev 3005)
+++ trunk/build/windows/buildnew.bat 2013-01-15 11:17:55 UTC (rev 3006)
@@ -62,8 +62,8 @@
goto cmdEnd
:cmdFoundCygwin
-set PATH=%CYGWIN_INSTALL_DIR%\bin;%PATH%
-echo set PATH=%CYGWIN_INSTALL_DIR%\bin;%PATH% >> %ENV_BAT%
+set PATH=C:\cmsc\perl\bin;%CYGWIN_INSTALL_DIR%\bin;%PATH%
+echo set PATH=C:\cmsc\perl\bin;%CYGWIN_INSTALL_DIR%\bin;%PATH% >> %ENV_BAT%
REM Then for an acceptable location.
bash check_path.sh
11 years, 11 months
JBoss Native SVN: r3005 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2013-01-15 05:57:30 -0500 (Tue, 15 Jan 2013)
New Revision: 3005
Modified:
trunk/build/unix/buildbin.jboss-native.windows.sh
Log:
failed the build if nmake fails...
Modified: trunk/build/unix/buildbin.jboss-native.windows.sh
===================================================================
--- trunk/build/unix/buildbin.jboss-native.windows.sh 2013-01-15 10:53:39 UTC (rev 3004)
+++ trunk/build/unix/buildbin.jboss-native.windows.sh 2013-01-15 10:57:30 UTC (rev 3005)
@@ -72,7 +72,7 @@
src_dir=`cygpath -w -a ${native_sources}`
(cd $native_sources
echo "In ${native_sources} doing nmake -f NMAKEmakefile WITH_APR=${win_common_loc} ${add_conf} SRCDIR=${src_dir} install"
- nmake -f NMAKEmakefile WITH_APR=${win_common_loc} ${add_conf} SRCDIR=${src_dir} install
+ nmake -f NMAKEmakefile WITH_APR=${win_common_loc} ${add_conf} SRCDIR=${src_dir} install || exit 1
)
# Uncomment to build jbosssch
@@ -82,7 +82,7 @@
(cd service/jbosssvc
echo "In service/jbosssvc doing nmake -f NMAKEmakefile PREFIX=${win_prefix_loc} install"
- nmake -f NMAKEmakefile PREFIX=${win_prefix_loc} install
+ nmake -f NMAKEmakefile PREFIX=${win_prefix_loc} install || exit 1
)
(cd service/examples
@@ -92,9 +92,9 @@
(cd service/procrun
echo "In service/procrun doing nmake -f NMAKEsvc PREFIX=${win_prefix_loc} install"
- nmake -f NMAKEsvc PREFIX=${win_prefix_loc} install
+ nmake -f NMAKEsvc PREFIX=${win_prefix_loc} install || exit 1
echo "In service/procrun doing nmake -f NMAKEmgr PREFIX=${win_prefix_loc} install"
- nmake -f NMAKEmgr PREFIX=${win_prefix_loc} install
+ nmake -f NMAKEmgr PREFIX=${win_prefix_loc} install || exit 1
)
cp -p ${common_loc}/lib/libapr*.dll ${output_loc}/bin/${output_lib} 2>/dev/null
11 years, 11 months
JBoss Native SVN: r3004 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2013-01-15 05:53:39 -0500 (Tue, 15 Jan 2013)
New Revision: 3004
Modified:
trunk/build/unix/build.sh
Log:
Try to do it as Mladen script = sample steps...
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2013-01-15 10:39:17 UTC (rev 3003)
+++ trunk/build/unix/build.sh 2013-01-15 10:53:39 UTC (rev 3004)
@@ -720,27 +720,30 @@
./Configure ${ssl_target} ${ssl_common_flags} ${ssl_build_flags} linux-ppc64 || exit 1
;;
windows-x86)
- ./Configure ${ssl_target} VC-WIN32
+ perl Configure ${ssl_target} VC-WIN32
# openssl 1.0.x uses do_nasm, not do_masm :D
ms/do_nasm.bat
+ nmake -f ms\nt.mak
;;
windows-x64|windows-amd64)
echo "Doing: perl Configure VC-WIN64A ${ssl_target}"
perl Configure VC-WIN64A ${ssl_target}
ms/do_win64a.bat
+ nmake -f ms\nt.mak
# fix the ml to ml64...
- sed "s:=ml :=ml64 :" ms/nt.mak > $$.mak
- mv $$.mak ms/nt.mak
- sed "s:=ml :=ml64 :" ms/ntdll.mak > $$.mak
- mv $$.mak ms/ntdll.mak
+ #sed "s:=ml :=ml64 :" ms/nt.mak > $$.mak
+ #mv $$.mak ms/nt.mak
+ #sed "s:=ml :=ml64 :" ms/ntdll.mak > $$.mak
+ #mv $$.mak ms/ntdll.mak
;;
windows-i64)
./Configure ${ssl_target} VC-WIN64I
ms/do_win64i.bat
- sed "s:=ml :=ias :" ms/nt.mak > $$.mak
- mv $$.mak ms/nt.mak
- sed "s:=ml :=ias :" ms/ntdll.mak > $$.mak
- mv $$.mak ms/ntdll.mak
+ nmake -f ms\nt.mak
+ #sed "s:=ml :=ias :" ms/nt.mak > $$.mak
+ #mv $$.mak ms/nt.mak
+ #sed "s:=ml :=ias :" ms/ntdll.mak > $$.mak
+ #mv $$.mak ms/ntdll.mak
;;
*)
./config ${ssl_target} -fPIC ${ssl_common_flags} ${ssl_build_flags} || exit 1
@@ -748,22 +751,7 @@
esac
echo "Building OpenSSL ${ssl_version} for ${BUILD_TAG} ..."
if $BUILD_WIN ; then
- # it builds ms/uptable.obj but in tools.ini we have !CMDSWITCHES +A so it would be
- # build again and will failed due to ASM instead AS and due to the /c of the predefined rules
- # (See http://msdn.microsoft.com/en-us/library/cx06ysxh.aspx)
- # In fact we don't want the !CMDSWITCHES +A
- find . -name "*.ojb" -exec rm -f {} \;
- find . -name "*.dll" -exec rm -f {} \;
- sed "s:!CMDSWITCHES +A:#!CMDSWITCHES +A:" ../../../../../windows/tools.ini > tools.ini
- initval=`set | grep "^INIT=" | awk -F = ' { print $2 } '`
- WHERE=`pwd`
- INIT=`cygpath -w ${WHERE}`
- if $ssl_static ; then
- nmake -f ms/nt.mak install || exit 1
- else
- nmake -f ms/ntdll.mak install || exit 1
- fi
- INIT=${initval}
+ echo "Already done"
else
make depend || exit 1
make || exit 1
@@ -853,7 +841,6 @@
(cd ${apr_srcdir}
cp -f include/apr.hw include/apr.h
echo "Building APR ${apr_version} in ${apr_srcdir}"
- ls -lt /cygdrive/e/workspace/JBossWebNative-windows/jbossnative/build/unix/cache/common/windows-x86-static/lib
cygwinpath true PREFIX=${apr_common_dir} SRCDIR=`pwd`
if $apr_static ; then
nmake -f NMAKEmakefile $wrapped_args APR_DECLARE_STATIC=1 install || exit 1
11 years, 11 months
JBoss Native SVN: r3003 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2013-01-15 05:39:17 -0500 (Tue, 15 Jan 2013)
New Revision: 3003
Modified:
trunk/build/unix/build.sh
Log:
It seem removing no-ec requires to remove more stuff...
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2013-01-15 10:32:45 UTC (rev 3002)
+++ trunk/build/unix/build.sh 2013-01-15 10:39:17 UTC (rev 3003)
@@ -676,7 +676,7 @@
fi
SSLNUM=`basename ${ssl_srcdir} | awk -F - '{ print $2}' | sed 's:[a-z]::'`
echo "Configuring OpenSSL ${ssl_version} for ${BUILD_TAG} ..."
- ssl_common_flags="threads no-zlib no-zlib-dynamic no-gmp no-krb5 no-rc5 no-mdc2 no-idea no-ecdh no-ecdsa"
+ ssl_common_flags="threads no-zlib no-zlib-dynamic no-gmp no-krb5 no-rc5 no-mdc2 no-idea no-ec no-ecdh no-ecdsa"
if $ssl_static ; then
ssl_build_flags="no-asm no-shared"
else
11 years, 11 months
JBoss Native SVN: r3002 - trunk/build/patch.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2013-01-15 05:32:45 -0500 (Tue, 15 Jan 2013)
New Revision: 3002
Modified:
trunk/build/patch/openssl-1.0.1c.patch
Log:
Oops wrong location.
Modified: trunk/build/patch/openssl-1.0.1c.patch
===================================================================
--- trunk/build/patch/openssl-1.0.1c.patch 2013-01-15 10:19:22 UTC (rev 3001)
+++ trunk/build/patch/openssl-1.0.1c.patch 2013-01-15 10:32:45 UTC (rev 3002)
@@ -26,8 +26,8 @@
# WIN32 UNICODE build gets linked with unicows.lib for
# backward compatibility with Win9x.
$ex_libs="unicows.lib $ex_libs" if ($FLAVOR =~ /WIN32/ and $cflags =~ /\-DUNICODE/);
---- Makefile.org 2013-01-15 11:01:45.241463537 +0100
-+++ Makefile 2013-01-15 11:02:33.231013924 +0100
+--- engines/Makefile 2013-01-15 11:01:45.241463537 +0100
++++ engines/Makefile 2013-01-15 11:02:33.231013924 +0100
@@ -11,7 +11,7 @@
AR= ar r
ENGDIRS= ccgost
11 years, 11 months
JBoss Native SVN: r3001 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2013-01-15 05:19:22 -0500 (Tue, 15 Jan 2013)
New Revision: 3001
Modified:
trunk/build/unix/build.sh
Log:
the no-ec breaks the build :-(
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2013-01-15 10:04:55 UTC (rev 3000)
+++ trunk/build/unix/build.sh 2013-01-15 10:19:22 UTC (rev 3001)
@@ -676,7 +676,7 @@
fi
SSLNUM=`basename ${ssl_srcdir} | awk -F - '{ print $2}' | sed 's:[a-z]::'`
echo "Configuring OpenSSL ${ssl_version} for ${BUILD_TAG} ..."
- ssl_common_flags="threads no-zlib no-zlib-dynamic no-gmp no-krb5 no-rc5 no-mdc2 no-idea no-ec no-ecdh no-ecdsa"
+ ssl_common_flags="threads no-zlib no-zlib-dynamic no-gmp no-krb5 no-rc5 no-mdc2 no-idea no-ecdh no-ecdsa"
if $ssl_static ; then
ssl_build_flags="no-asm no-shared"
else
11 years, 11 months